<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__lpa__wifi__pf__ol_8h" kind="file" language="C++">
    <compoundname>cy_lpa_wifi_pf_ol.h</compoundname>
    <includes local="no">stdint.h</includes>
    <includes local="yes" refid="cy__lpa__compat_8h">cy_lpa_compat.h</includes>
    <includedby local="yes" refid="cy__lpa__wifi__pf__ol_8c">cy_lpa_wifi_pf_ol.c</includedby>
    <incdepgraph>
      <node id="45">
        <label>stdint.h</label>
      </node>
      <node id="44">
        <label>cy_lpa_wifi_pf_ol.h</label>
        <link refid="cy__lpa__wifi__pf__ol_8h" />
        <childnode refid="45" relation="include">
        </childnode>
      </node>
    </incdepgraph>
    <innerclass prot="public" refid="structcy__pf__port__t">cy_pf_port_t</innerclass>
    <innerclass prot="public" refid="structcy__pf__pn__cfg__t">cy_pf_pn_cfg_t</innerclass>
    <innerclass prot="public" refid="structcy__pf__ethtype__cfg__t">cy_pf_ethtype_cfg_t</innerclass>
    <innerclass prot="public" refid="structcy__pf__ip__cfg__t">cy_pf_ip_cfg_t</innerclass>
    <innerclass prot="public" refid="structcy__pf__ol__cfg__t">cy_pf_ol_cfg_t</innerclass>
    <innerclass prot="public" refid="structpf__ol__t">pf_ol_t</innerclass>
      <sectiondef kind="define">
      <memberdef id="cy__lpa__wifi__pf__ol_8h_1a511fb2b59e008d64d77db75c5173d8f0" kind="define" prot="public" static="no">
        <name>PF_OL_H__</name>
        <initializer>(1)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" bodystart="18" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" line="18" />
      </memberdef>
      <memberdef id="cy__lpa__wifi__pf__ol_8h_1a3c33b3844c77084d894e78791aaad605" kind="define" prot="public" static="no">
        <name>CY_PF_ACTIVE_SLEEP</name>
        <initializer>(1 &lt;&lt; 0)</initializer>
        <briefdescription>
<para>Filter is active only when Host is asleep. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" bodystart="113" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" line="113" />
      </memberdef>
      <memberdef id="cy__lpa__wifi__pf__ol_8h_1a47a82ddb95283318266e02bfce87e4d9" kind="define" prot="public" static="no">
        <name>CY_PF_ACTIVE_WAKE</name>
        <initializer>(1 &lt;&lt; 1)</initializer>
        <briefdescription>
<para>Filter is active only when Host is awake. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" bodystart="114" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" line="114" />
      </memberdef>
      <memberdef id="cy__lpa__wifi__pf__ol_8h_1a865567195efb7d76d7e239f452673793" kind="define" prot="public" static="no">
        <name>CY_PF_ACTION_DISCARD</name>
        <initializer>(1 &lt;&lt; 2)</initializer>
        <briefdescription>
<para>Packets that match filter are dropped and NOT passed to host, else they are passed up. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" bodystart="115" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" line="115" />
      </memberdef>
      <memberdef id="cy__lpa__wifi__pf__ol_8h_1a9ddad2953fa8bb43c5bfaf4fdd3b1eee" kind="define" prot="public" static="no">
        <name>IS_POWER</name>
        <param><defname>x</defname></param>
        <initializer>( (x) &amp;&amp; !(x &amp; (x - 1) ) )</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" bodystart="140" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" line="140" />
      </memberdef>
      <memberdef id="cy__lpa__wifi__pf__ol_8h_1abf4fcaacb1ad2010711b7c880ec2ed20" kind="define" prot="public" static="no">
        <name>ETHER_ADDR_LEN</name>
        <initializer>6</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" bodystart="141" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" line="141" />
      </memberdef>
      <memberdef id="cy__lpa__wifi__pf__ol_8h_1a9b265aeade41d30d1aa2a7ff81185450" kind="define" prot="public" static="no">
        <name>IPV4_ADDR_LEN</name>
        <initializer>4   /* IPV4 address length */</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" bodystart="157" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" line="157" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="enum">
      <memberdef id="group__group__lpa__enums_1gace0edf60e8d895921d04049cd6b3eefe" kind="enum" prot="public" static="no">
        <name>cy_pf_feature_t</name>
        <enumvalue id="group__group__lpa__enums_1ggace0edf60e8d895921d04049cd6b3eefea5955473fb0935b7cc555fe35e29b4943" prot="public">
          <name>CY_PF_OL_FEAT_PORTNUM</name>
          <initializer>= 1</initializer>
          <briefdescription>
<para>Filter based on port numbers. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpa__enums_1ggace0edf60e8d895921d04049cd6b3eefea6305d69a1415f45ef32c742490cc3758" prot="public">
          <name>CY_PF_OL_FEAT_ETHTYPE</name>
          <initializer>= 2</initializer>
          <briefdescription>
<para>Filter based on ethernet_type. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpa__enums_1ggace0edf60e8d895921d04049cd6b3eefea54631cb204c5e0fc28f6bed64a5e137e" prot="public">
          <name>CY_PF_OL_FEAT_IPTYPE</name>
          <initializer>= 3</initializer>
          <briefdescription>
<para>Filter based on IP type. </para>          </briefdescription>
          <detaileddescription>
<para>Add new filter types here. do not alter previous types (breaks backward compatibilty) </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpa__enums_1ggace0edf60e8d895921d04049cd6b3eefea892b30d5e8c31447757a22da6887ff8b" prot="public">
          <name>CY_PF_OL_FEAT_LAST</name>
          <initializer>= 4</initializer>
          <briefdescription>
<para>Number of offload features (invalid feature id). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_pf_feature_t: </bold><linebreak />Packets may be filtered according to TCP/UDP Port number, ethertype or IP type.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="43" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" bodystart="36" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" line="37" />
      </memberdef>
      <memberdef id="group__group__lpa__enums_1ga582cb12b9a55b2e2476e0078cce70624" kind="enum" prot="public" static="no">
        <name>cy_pf_proto_t</name>
        <enumvalue id="group__group__lpa__enums_1gga582cb12b9a55b2e2476e0078cce70624a148cb7b5ffe061dcf0f2e0156ce16573" prot="public">
          <name>CY_PF_PROTOCOL_UDP</name>
          <initializer>= 1</initializer>
          <briefdescription>
<para>UDP protocol. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpa__enums_1gga582cb12b9a55b2e2476e0078cce70624ae0d2eae113cd1a14a2606e08a1bc4712" prot="public">
          <name>CY_PF_PROTOCOL_TCP</name>
          <initializer>= 2</initializer>
          <briefdescription>
<para>TCP protocol. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_pf_proto_t: </bold><linebreak />Port numbers are a feature of both TCP and UDP protocols.</para></briefdescription>
        <detaileddescription>
<para>Each filter can only support one or the other. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="50" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" bodystart="46" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" line="47" />
      </memberdef>
      <memberdef id="group__group__lpa__enums_1ga0093febf4de86e258f6c65668742c050" kind="enum" prot="public" static="no">
        <name>cy_pn_direction_t</name>
        <enumvalue id="group__group__lpa__enums_1gga0093febf4de86e258f6c65668742c050a713fa37b31f356c2e0b95b27519d7c14" prot="public">
          <name>PF_PN_PORT_DEST</name>
          <initializer>= 1</initializer>
          <briefdescription>
<para>Filter Destination Port. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpa__enums_1gga0093febf4de86e258f6c65668742c050aee7ce890299c524ab08b748e542d9974" prot="public">
          <name>PF_PN_PORT_SOURCE</name>
          <initializer>= 2</initializer>
          <briefdescription>
<para>Filter Source Port. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_pn_direction_t: </bold><linebreak />Source or Dest Port.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="57" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" bodystart="53" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" line="54" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="var">
      <memberdef id="cy__lpa__wifi__pf__ol_8h_1a9869a88142cf642b1bc96bce376ea18e" kind="variable" mutable="no" prot="public" static="no">
        <type>const ol_fns_t</type>
        <definition>const ol_fns_t pf_ol_fns</definition>
        <argsstring />
        <name>pf_ol_fns</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_pf_ol.c" bodystart="45" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" line="138" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="cy__lpa__wifi__pf__ol_8h_1adda90baf0c3909ede610f5ac10e0e9b5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type />
        <definition>CYPRESS_PACKED</definition>
        <argsstring>(struct) ether_header</argsstring>
        <name>CYPRESS_PACKED</name>
        <param>
          <type>struct</type>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="146" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" bodystart="142" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" line="142" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Defines the API into PktFilter offloads from personality. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>1.0</para></simplesect>
<simplesect kind="copyright"><para>Copyright 2020, Cypress Semiconductor Corporation. All rights reserved. You may use this file only in accordance with the license, terms, conditions, disclaimers, and limitations in the end user license agreement accompanying the software package with which this file was provided. </para></simplesect>
</para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="17"><highlight class="preprocessor">#ifndef<sp />PF_OL_H__</highlight><highlight class="normal" /></codeline>
<codeline lineno="18"><highlight class="normal" /><highlight class="preprocessor">#define<sp />PF_OL_H__<sp /><sp />(1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="19"><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdint.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_lpa_compat.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="22"><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="25"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="28"><highlight class="comment">*<sp />LPA<sp />Enumerated<sp />Types</highlight></codeline>
<codeline lineno="29"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="33"><highlight class="comment">/******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />cy_pf_feature</highlight></codeline>
<codeline lineno="37"><highlight class="normal">{</highlight></codeline>
<codeline lineno="38"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lpa__enums_1ggace0edf60e8d895921d04049cd6b3eefea5955473fb0935b7cc555fe35e29b4943">CY_PF_OL_FEAT_PORTNUM</ref><sp /><sp /><sp /><sp />=<sp />1,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="39"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lpa__enums_1ggace0edf60e8d895921d04049cd6b3eefea6305d69a1415f45ef32c742490cc3758">CY_PF_OL_FEAT_ETHTYPE</ref><sp /><sp /><sp /><sp />=<sp />2,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="40"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lpa__enums_1ggace0edf60e8d895921d04049cd6b3eefea54631cb204c5e0fc28f6bed64a5e137e">CY_PF_OL_FEAT_IPTYPE</ref><sp /><sp /><sp /><sp /><sp />=<sp />3,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="42"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lpa__enums_1ggace0edf60e8d895921d04049cd6b3eefea892b30d5e8c31447757a22da6887ff8b">CY_PF_OL_FEAT_LAST</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />4,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="43"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__lpa__enums_1gace0edf60e8d895921d04049cd6b3eefe">cy_pf_feature_t</ref>;</highlight></codeline>
<codeline lineno="44"><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />cy_pn_proto</highlight></codeline>
<codeline lineno="47"><highlight class="normal">{</highlight></codeline>
<codeline lineno="48"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lpa__enums_1gga582cb12b9a55b2e2476e0078cce70624a148cb7b5ffe061dcf0f2e0156ce16573">CY_PF_PROTOCOL_UDP</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />1,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="49"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lpa__enums_1gga582cb12b9a55b2e2476e0078cce70624ae0d2eae113cd1a14a2606e08a1bc4712">CY_PF_PROTOCOL_TCP</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />2,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="50"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__lpa__enums_1ga582cb12b9a55b2e2476e0078cce70624">cy_pf_proto_t</ref>;</highlight></codeline>
<codeline lineno="51"><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />cy_pn_direction</highlight></codeline>
<codeline lineno="54"><highlight class="normal">{</highlight></codeline>
<codeline lineno="55"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lpa__enums_1gga0093febf4de86e258f6c65668742c050a713fa37b31f356c2e0b95b27519d7c14">PF_PN_PORT_DEST</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />1,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="56"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lpa__enums_1gga0093febf4de86e258f6c65668742c050aee7ce890299c524ab08b748e542d9974">PF_PN_PORT_SOURCE</ref><sp /><sp /><sp /><sp /><sp /><sp />=<sp />2,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="57"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__lpa__enums_1ga0093febf4de86e258f6c65668742c050">cy_pn_direction_t</ref>;</highlight></codeline>
<codeline lineno="61"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="62"><highlight class="comment">*<sp />LPA<sp />Data<sp />Structures</highlight></codeline>
<codeline lineno="63"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal" /><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="67"><highlight class="comment">/******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal" /></codeline>
<codeline lineno="73" refid="structcy__pf__port__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">cy_pn_port</highlight></codeline>
<codeline lineno="74"><highlight class="normal">{</highlight></codeline>
<codeline lineno="75"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />portnum;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="78"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />range;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="86"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lpa__enums_1ga0093febf4de86e258f6c65668742c050">cy_pn_direction_t</ref><sp />direction;<sp /></highlight></codeline>
<codeline lineno="87"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__pf__port__t">cy_pf_port_t</ref>;</highlight></codeline>
<codeline lineno="88"><highlight class="normal" /></codeline>
<codeline lineno="90" refid="structcy__pf__pn__cfg__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">cy_pf_pn_cfg</highlight></codeline>
<codeline lineno="91"><highlight class="normal">{</highlight></codeline>
<codeline lineno="92"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__pf__port__t">cy_pf_port_t</ref><sp />portnum;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="93"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lpa__enums_1ga582cb12b9a55b2e2476e0078cce70624">cy_pf_proto_t</ref><sp />proto;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="94"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__pf__pn__cfg__t">cy_pf_pn_cfg_t</ref>;</highlight></codeline>
<codeline lineno="95"><highlight class="normal" /></codeline>
<codeline lineno="97" refid="structcy__pf__ethtype__cfg__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">cy_pf_ethtype_cfg</highlight></codeline>
<codeline lineno="98"><highlight class="normal">{</highlight></codeline>
<codeline lineno="99"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />eth_type;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="100"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__pf__ethtype__cfg__t">cy_pf_ethtype_cfg_t</ref>;</highlight></codeline>
<codeline lineno="101"><highlight class="normal" /></codeline>
<codeline lineno="103" refid="structcy__pf__ip__cfg__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">cy_pf_ip_cfg</highlight></codeline>
<codeline lineno="104"><highlight class="normal">{</highlight></codeline>
<codeline lineno="105"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />ip_type;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="106"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__pf__ip__cfg__t">cy_pf_ip_cfg_t</ref>;</highlight></codeline>
<codeline lineno="107"><highlight class="normal" /></codeline>
<codeline lineno="109" refid="structcy__pf__ol__cfg__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">cy_pf_ol_cfg</highlight></codeline>
<codeline lineno="110"><highlight class="normal">{</highlight></codeline>
<codeline lineno="111"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lpa__enums_1gace0edf60e8d895921d04049cd6b3eefe">cy_pf_feature_t</ref><sp />feature;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="113"><highlight class="preprocessor">#define<sp />CY_PF_ACTIVE_SLEEP<sp /><sp /><sp /><sp /><sp /><sp /><sp />(1<sp />&lt;&lt;<sp />0)<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="114"><highlight class="preprocessor">#define<sp />CY_PF_ACTIVE_WAKE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1<sp />&lt;&lt;<sp />1)<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="115"><highlight class="preprocessor">#define<sp />CY_PF_ACTION_DISCARD<sp /><sp /><sp /><sp /><sp />(1<sp />&lt;&lt;<sp />2)<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="117"><highlight class="preprocessor"><sp /><sp /><sp /><sp />uint32_t<sp />bits;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="118"><highlight class="preprocessor"><sp /><sp /><sp /><sp />uint8_t<sp />id;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="120"><highlight class="preprocessor"><sp /><sp /><sp /><sp />union</highlight><highlight class="normal" /></codeline>
<codeline lineno="121"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="122"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__pf__pn__cfg__t">cy_pf_pn_cfg_t</ref><sp />pf;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="123"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__pf__ethtype__cfg__t">cy_pf_ethtype_cfg_t</ref><sp />eth;<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="124"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__pf__ip__cfg__t">cy_pf_ip_cfg_t</ref><sp />ip;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="125"><highlight class="normal"><sp /><sp /><sp /><sp />}<sp />u;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="126"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__pf__ol__cfg__t">cy_pf_ol_cfg_t</ref>;</highlight></codeline>
<codeline lineno="127"><highlight class="normal" /></codeline>
<codeline lineno="128"><highlight class="normal" /></codeline>
<codeline lineno="130" refid="structpf__ol__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">pf_ol</highlight></codeline>
<codeline lineno="131"><highlight class="normal">{</highlight></codeline>
<codeline lineno="132"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__pf__ol__cfg__t">cy_pf_ol_cfg_t</ref><sp /><sp /><sp />*cfg;<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="133"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*whd;<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="134"><highlight class="normal">}<sp /><ref kindref="compound" refid="structpf__ol__t">pf_ol_t</ref>;</highlight></codeline>
<codeline lineno="135"><highlight class="normal" /></codeline>
<codeline lineno="138"><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />ol_fns_t<sp />pf_ol_fns;</highlight></codeline>
<codeline lineno="139"><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IS_POWER(x)<sp />(<sp />(x)<sp />&amp;&amp;<sp />!(x<sp />&amp;<sp />(x<sp />-<sp />1)<sp />)<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="141"><highlight class="normal" /><highlight class="preprocessor">#define<sp />ETHER_ADDR_LEN<sp /><sp /><sp /><sp /><sp /><sp />6</highlight><highlight class="normal" /></codeline>
<codeline lineno="142"><highlight class="normal">CYPRESS_PACKED(</highlight><highlight class="keyword">struct</highlight><highlight class="normal">)<sp />ether_header<sp />{</highlight></codeline>
<codeline lineno="143"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />ether_dhost[ETHER_ADDR_LEN];</highlight></codeline>
<codeline lineno="144"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />ether_shost[ETHER_ADDR_LEN];</highlight></codeline>
<codeline lineno="145"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />ether_type;</highlight></codeline>
<codeline lineno="146"><highlight class="normal">};</highlight></codeline>
<codeline lineno="147"><highlight class="normal" /></codeline>
<codeline lineno="148"><highlight class="normal" /><highlight class="comment">/*<sp />These<sp />fields<sp />are<sp />stored<sp />in<sp />network<sp />order<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="149"><highlight class="normal">CYPRESS_PACKED(</highlight><highlight class="keyword">struct</highlight><highlight class="normal">)<sp />bcmudp_hdr</highlight></codeline>
<codeline lineno="150"><highlight class="normal">{</highlight></codeline>
<codeline lineno="151"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />src_port;<sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Source<sp />Port<sp />Address<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />dst_port;<sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Destination<sp />Port<sp />Address<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="153"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />len;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Number<sp />of<sp />bytes<sp />in<sp />datagram<sp />including<sp />header<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="154"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />chksum;<sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />entire<sp />datagram<sp />checksum<sp />with<sp />pseudoheader<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="155"><highlight class="normal">};</highlight></codeline>
<codeline lineno="156"><highlight class="normal" /></codeline>
<codeline lineno="157"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IPV4_ADDR_LEN<sp /><sp /><sp /><sp /><sp /><sp /><sp />4<sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />IPV4<sp />address<sp />length<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="158"><highlight class="normal">CYPRESS_PACKED(</highlight><highlight class="keyword">struct</highlight><highlight class="normal">)<sp />ipv4_hdr<sp />{</highlight></codeline>
<codeline lineno="159"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />version_ihl;<sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Version<sp />and<sp />Internet<sp />Header<sp />Length<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="160"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />tos;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Type<sp />Of<sp />Service<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="161"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />tot_len;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Number<sp />of<sp />bytes<sp />in<sp />packet<sp />(max<sp />65535)<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="162"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />id;</highlight></codeline>
<codeline lineno="163"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />frag;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />3<sp />flag<sp />bits<sp />and<sp />fragment<sp />offset<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="164"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />ttl;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Time<sp />To<sp />Live<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="165"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />prot;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Protocol<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="166"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />hdr_chksum;<sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />IP<sp />header<sp />checksum<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="167"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />src_ip[IPV4_ADDR_LEN];<sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Source<sp />IP<sp />Address<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />dst_ip[IPV4_ADDR_LEN];<sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Destination<sp />IP<sp />Address<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="169"><highlight class="normal">};</highlight></codeline>
<codeline lineno="170"><highlight class="normal" /></codeline>
<codeline lineno="171"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="172"><highlight class="normal">}</highlight></codeline>
<codeline lineno="173"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="174"><highlight class="normal" /></codeline>
<codeline lineno="175"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />!PF_OL_H__<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="176"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" />
  </compounddef>
</doxygen>